Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.event
Class TrapReceivedSupport

    java.lang.Object
      |
      +--uk.co.westhawk.snmp.event.TrapReceivedSupport

public class TrapReceivedSupport
extends java.lang.Object

This is a utility class that can be used by classes that support trap listener functionality. You can use an instance of this class as a member field of your class and delegate various work to it.

Version:
  $Revision: 1.6 $ $Date: 2006/01/17 17:43:53 $
Author:
  Birgit Arkesteijn

Field Summary
`static java.lang.String` | `version_id`

Constructor Summary
`TrapReceivedSupport(java.lang.Object src)` The constructor.

Method Summary
`void` | `addTrapListener(TrapListener listener)` Adds the specified trap listener to receive traps.
`void` | `empty()` Removes all the listeners.
`void` | `fireTrapReceived(Pdu pdu, int hostPort)` Fires a decoded trap event.
`int` | `getListenerCount()` Returns the number of listeners.
`void` | `removeTrapListener(TrapListener listener)` Removes the specified trap listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version_id

    public static final java.lang.String version_id

See Also:
  Constant Field Values

Constructor Detail

### TrapReceivedSupport

    public TrapReceivedSupport(java.lang.Object src)

  The constructor.

Parameters:
  `src` - The source (SnmpContext) of the trap events when they are fired.

Method Detail

### empty

    public void empty()

  Removes all the listeners.

### getListenerCount

    public int getListenerCount()

  Returns the number of listeners.

  Returns:
    The number of listeners.

### addTrapListener

    public void addTrapListener(TrapListener listener)

  Adds the specified trap listener to receive traps.

### removeTrapListener

    public void removeTrapListener(TrapListener listener)

  Removes the specified trap listener.

### fireTrapReceived

    public void fireTrapReceived(Pdu pdu,
                                 int hostPort)

  Fires a decoded trap event. The event is fired to all listeners, whether they consume it or not. This behaviour is different from the undecoded trap event.

  Parameters:
    `pdu` - The decoded trap pdu.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD